Loading...
Searching...
No Matches
/build/seqan-needle-VDbW4A/seqan-needle-1.0.3+ds/src/CMakeLists.txt File Reference

## Functions

| cmake_minimum_required (VERSION 3.25...3.30) find_package(OpenMP REQUIRED COMPONENTS CXX) add_library("$
_lib STATIC estimate cpp ibf cpp | target_link_libraries ("${PROJECT_NAME}_lib" PUBLIC seqan3::seqan3) target_link_libraries("$
_lib PUBLIC robin_hood::robin_hood | target_link_libraries ("${PROJECT_NAME}_lib" PUBLIC OpenMP::OpenMP_CXX) target_include_directories("$
_lib PUBLIC include | add_executable ("${PROJECT_NAME}" main.cpp) target_link_libraries("$

## Function Documentation

## add_executable()

_lib PUBLIC include add_executable | ( | "${PROJECT_NAME}" main. | cpp | ) |

## cmake_minimum_required()

cmake_minimum_required | ( | VERSION 3.25...3. | 30 | ) |

## target_link_libraries() [1/2]

_lib PUBLIC robin_hood::robin_hood target_link_libraries | ( | "${PROJECT_NAME}_lib" PUBLIC OpenMP::OpenMP_CXX |  | ) |

## target_link_libraries() [2/2]

_lib STATIC estimate cpp ibf cpp target_link_libraries | ( | "${PROJECT_NAME}_lib" PUBLIC seqan3::seqan3 |  | ) |